prpath(1)

NAME
prpath

SYNOPSIS
prpath [options] [[<as-no>] <destination-specification>]

DESCRIPTION

prpath enumerates a list of paths between <as-no> and <destination-specification>. <destination-specification> can be an AS number, an IP address or an address prefix. If <as-no> is not specified it is deduced for your system from the IP address of your host and IRR. If no <destination-specification> is given prpath goes into a command loop where it inputs <destination-specification> from stdin, one at a line.

prpath ignores error and warning messages due to communication to the database server or parsing policy objects. Please see -ignore_errors and -report_errors options below.

IRRToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and abort.

    -T [whois_query | whois_response | input | all]
        Trace the argument. Useful for debugging.

    -D <integer>
        Print debugging messages of debug channel <integer> (if compiled with DEBUG defined).

    -version
        Print the version number and quit.

    -h <host-name>
        Establish a whois connection to host <host-name>. The default is whois.radb.net.

    -p <port-no>
        Establish a whois connection to port <port-no>. The default is 43.

    -protocol <protocol>
        Use the <protocol> to connect to the IRR server. <protocol> can be irrd(rawhoisd), ripe(bird), and ripe_perl. The default is irrd. The ripe_perl option should be used with the old ripe server.

    -s <source-list>
        Consider the sources specified in the comma separated <source-list>. If an object is defined in multiple sources in <source-list>, prpath uses the definition first encountered in <source-list> from left to right.

    -rusage
        Print resource usage upon completion.

    -prompt <string>
        Set the interactive prompt to <string>.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -as <as-no>
        Use AS <as-no> as a source AS.

    -mpl <integer>
        If the shortest path between the source and the destination is N hops, report all paths that are shorter than N + <integer>.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the IRR host to connect.

    IRR_PORT
        Specifies the IRR port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

EXAMPLES

	% ./prpath AS2914 193.85.128.0/24
	Route:
	   NLRI: 193.85.128.0/24
	   Origins: AS2819
	   Communities: COMM_NSFNET
	AS2819 AS286 AS2914

ERROR AND WARNING MESSAGES
Warning: No autnum record found for AS

    The AS specified in nonexistent in the specified Database for specified soure list

Unable to lookup destination AS

    If you do not specify which AS is destination AS, prpath tries to query IRR to get originating autnum. If route is non-existent, you get this error. If you specify <ipv4_prefix> as <destination>, prpath will try to find origin of this prefix. If you specify <ipv4_address> as <destination>, prpath will try to find origin of prefix <ipv4_address>/32.

Unknown protocol!

    Connection to IRR server failed. This can be caused by various reasons, see Errors manpage, IRR Communication errors.

For more error descriptions, please see Errors manual page.

AUTHORS
Cengiz Alaettinoglu <cengiz@isi.edu>

Katie Petrusha <katie@ripe.net>

ACKNOWLEDGEMENTS
This is enhanced version of RIPE's prpath tool.